aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorNathan Hjelm <hjelmn@google.com>2023-12-05 11:08:33 -0700
committerNathan Hjelm <hjelmn@google.com>2023-12-05 11:08:33 -0700
commitf0d1ff3fb682acba6593fa2e7b6bd0af219c1a86 (patch)
tree9a604f0f4fe322a5f1246a92f17a1353fe23a6ab
parentd82b3d27b1e1a51b487dfe18932778ea39661662 (diff)
downloadlibusb-f0d1ff3fb682acba6593fa2e7b6bd0af219c1a86.tar.gz
ci: dump test suite output on test failure
The test output is hidden by default with make check so we need to explicitly dump the test suite log on failure. Signed-off-by: Nathan Hjelm <hjelmn@google.com>
-rwxr-xr-x.private/ci-build.sh3
-rw-r--r--libusb/version_nano.h2
2 files changed, 4 insertions, 1 deletions
diff --git a/.private/ci-build.sh b/.private/ci-build.sh
index 6ccc3b3..38f50d6 100755
--- a/.private/ci-build.sh
+++ b/.private/ci-build.sh
@@ -83,6 +83,9 @@ if [ "${test}" = "yes" ]; then
# Load custom shim for WebUSB tests that simulates Web environment.
export NODE_OPTIONS="--require ${scriptdir}/../tests/webusb-test-shim/"
make check
+ if test "$?" != "0" ; then
+ cat tests/test-suite.log
+ fi
fi
if [ "${install}" = "yes" ]; then
diff --git a/libusb/version_nano.h b/libusb/version_nano.h
index 649b944..972c374 100644
--- a/libusb/version_nano.h
+++ b/libusb/version_nano.h
@@ -1 +1 @@
-#define LIBUSB_NANO 11836
+#define LIBUSB_NANO 11837